﻿using System;
using System.IO;

class ReadTextFileAndPrintItsOddLines
{
    /// <summary>
    /// Write a program that reads a text file and 
    /// prints on the console its odd lines.
    /// </summary>

    static void Main(string[] args)
    {
        // Getting Cyrillic encoding 
        System.Text.Encoding encoding = System.Text.Encoding.GetEncoding(1251);

        // Create reader with the Cyrillic encoding
        StreamReader streamReader = new StreamReader(
            "../../Files/test.001.in.txt", encoding);

        // Create writer with the Cyrillic encoding
        StreamWriter streamWriter = new StreamWriter(
            "../../Files/test.001.out.txt", false, encoding);

        using (streamReader)
        {
            using (streamWriter)
            {
                int lineCounter = 0;
                string oddLineContent = streamReader.ReadLine();
                while (oddLineContent != null)
                {
                    lineCounter++;
                    if (lineCounter % 2 == 1)
                    {
                        streamWriter.WriteLine(oddLineContent);
                        Console.WriteLine(oddLineContent);
                    }
                    oddLineContent = streamReader.ReadLine();
                }
            }
        }
    }
}

