﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace _10.XMLdecoder
{
    class XMLdecoder
    {
        static void Main()
        {
            StreamReader reader = new StreamReader("..//..//test01.xml");
            using (reader)
            {
                string inputText = reader.ReadToEnd();
                StringBuilder outputText = new StringBuilder();
                bool inTag = false;
                foreach (char symbol in inputText)
                {
                    if (symbol == '<')
                    {
                        inTag = true;
                    }
                    if (symbol == '>')
                    {
                        inTag = false;
                        continue;
                    }
                    if (inTag == false)
                    {
                        outputText.Append(symbol);
                    }
                }
                Console.WriteLine(outputText.ToString());
            }
        }
    }
}
